Bug 1953923 - rebase copy-jdk-configs
Summary: rebase copy-jdk-configs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: copy-jdk-configs
Version: 8.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: jiri vanek
QA Contact: OpenJDK QA
URL:
Whiteboard:
Depends On: 1965305
Blocks: 1762705
TreeView+ depends on / blocked
 
Reported: 2021-04-27 08:10 UTC by jiri vanek
Modified: 2021-11-10 00:51 UTC (History)
4 users (show)

Fixed In Version: copy-jdk-configs-4.0-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-09 18:43:03 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:4255 0 None None None 2021-11-09 18:43:08 UTC

Description jiri vanek 2021-04-27 08:10:50 UTC
There are few small issues in CJC. Main is unnecessary message of "Failed to..." which should be printed only in debug mode as it do report any severe harm, and is thus disturbing users without reason
Also there is https://bugzilla.redhat.com/show_bug.cgi?id=1892224 to which we should align. in rhels.

Note, that as the consequence,  all java-x-openjdk specfiles, may need minor  adjustment

Comment 1 jiri vanek 2021-04-27 08:18:18 UTC
cjc is well tested

Comment 8 jandrlik 2021-07-09 17:42:30 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1953923#c1 claims that this is thoroughly tested on our infrastructure. 
el8 c~j~c tests report no more failures anymore -> VERIFIED

Comment 10 errata-xmlrpc 2021-11-09 18:43:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (copy-jdk-configs bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4255


Note You need to log in before you can comment on or make changes to this bug.